## konversation 1.2.3

=== debian/changelog ===
konversation (1.2.3-1ubuntu2) lucid; urgency=low

  * Rebuild to fix broken pot file (LP: #529483)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Mar 2010 22:54:20 +0100

konversation (1.2.3-1ubuntu1) lucid; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - Add kubuntu/default_channels.diff, disable debian/default_channel.diff
    - Keep message indicator patches
    - Use the Kubuntu docpath (/usr/share/doc/kde)
    - Build with LMZA compression

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 14 Feb 2010 18:12:21 -0500

konversation (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Modestas Vainius <modax@debian.org>  Fri, 12 Feb 2010 10:58:50 +0200

konversation (1.2.3-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 12 Feb 2010 08:15:45 -0500

konversation (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Remove DMUA field from debian/control. I'm a DD now.
  * Use my @debian.org address in the Maintainer field.

 -- Modestas Vainius <modax@debian.org>  Fri, 12 Feb 2010 03:05:35 +0200

konversation (1.2.2-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Re-enable installation of docs now that we have a stable tarball
    - Refresh 0001-Adds-support-for-Message-Indicator.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 11 Feb 2010 14:52:14 -0500

konversation (1.2.1+git20100204-0ubuntu1) lucid; urgency=low

  [ Jonathan Thomas ]
  * New upstream git snapshot:
    - Refresh all patches
    Fixes LP: #496880
  * Switch to source format 3.0 (quilt):
    - Remove quilt build-depend
    - Remove quilt dh sequence in debian/rules
  * Add 0001-Adds-support-for-Message-Indicator.diff from Aurélien Gâteau
    which replaces the previous indicator patches (LP: #496880)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 04 Feb 2010 12:48:45 -0500

konversation (1.2.1+git20091217-0ubuntu1) lucid; urgency=low

  * New upstream git snapshot:
    - Refresh all patches
    - Update initial Indicator patch to apply properly.
    - Remove docs and locale files from the install manifest; they aren't
      present in git snapshots. We will uncomment them for official (pre)
      releases with tarballs from upstream.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 17 Dec 2009 09:50:41 -0500

konversation (1.2.1-1ubuntu1) lucid; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - Add kubuntu/default_channels.diff, disable debian/default_channel.diff
    - Keep message indicator patches
    - Use the Kubuntu docpath (/usr/share/doc/kde)
    - Do not use source format 3.0 (quilt) because Soyuz cannot cope with
      planned changes when given over year of advanced notice:
      + Add build-depend on quilt
      + Build with quilt dh addon
  * Update libindicate patches for new upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 14 Nov 2009 20:02:50 -0500

konversation (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Fix download URL in debian/watch. konversation moved to ftp.kde.org.
    Track upstream stable branch dir.
  * Switch to dpkg-source format 3.0 (quilt):
    - do not use quilt dh addon anymore;
    - do not build depend on quilt;
    - remove notes about quilt from README.source.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 12 Nov 2009 19:18:44 +0200

konversation (1.2-0ubuntu3) karmic; urgency=low

  * Change behavior of indicator app entry to switch to main window instead of
    toggling it

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Mon, 19 Oct 2009 09:57:31 +0200

konversation (1.2-0ubuntu2) karmic; urgency=low

  * Update message indicator patches from konversation-1.2~beta1-
    20090929.tar.bz2 from
    http://people.canonical.com/~agateau/indicate/index.html

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Oct 2009 12:05:54 +0100

konversation (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 09 Oct 2009 17:45:54 +0300

konversation (1.2-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 09 Oct 2009 08:38:28 -0400

konversation (1.2~rc1-0ubuntu1) karmic; urgency=low

  * New upstream release candidate
  * Bump Standards-Version to 3.8.3, since Debian has done so

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 03 Oct 2009 15:14:34 -0400

konversation (1.2~rc1-1) unstable; urgency=low

  * New upstream development release.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 03 Oct 2009 17:39:40 +0300

konversation (1.2~beta1-0ubuntu2) karmic; urgency=low

  * Disable 0004-Make-dependency-on-indicate-qt-optional.diff until it
    gets fixed, currently it stops message indicator from being used

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Sep 2009 13:39:28 +0100

konversation (1.2~beta1-1) unstable; urgency=low

  * New upstream development release.
  * Use kde addon in debian/rules. Adjust build dependencies accordingly.
  * Bump Standards-Version to 3.8.3, no changes needed.
  * Refresh patches.
  * Build with -DCMAKE_USE_RELATIVE_PATHS=ON.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 21 Sep 2009 18:08:56 +0300

konversation (1.2~beta1-0ubuntu1) karmic; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Sep 2009 14:50:01 +0100

konversation (1.2~alpha6-0ubuntu4) karmic; urgency=low

  * Update message indicator patches for libindicate 0.2
    from http://people.canonical.com/~agateau/indicate/index.html

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Sep 2009 12:13:47 +0100

konversation (1.2~alpha6-0ubuntu3) karmic; urgency=low

  * Add 0004-Make-dependency-on-indicate-qt-optional.diff from Aurelien
    Gateau

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 10:29:40 +0100

konversation (1.2~alpha6-0ubuntu2) karmic; urgency=low

  * Add quilt back to debian/rules


