=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modestas@vainius.eu>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libqt4-dev (>= 4.4.3), kdelibs5-dev (>= 4:4.2.0), kdepimlibs5-dev (>= 4:4.2.0),
 libx11-dev, x11proto-core-dev, libxss-dev, libqca2-dev, libindicate-qt-dev (>= 0.2.1)
Standards-Version: 3.8.3
Homepage: http://konversation.kde.org/
Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~kubuntu-members/konversation/ubuntu/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/konversation/ubuntu

Package: konversation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: irc
Recommends: python
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-dbg
Section: debug
Architecture: any
Priority: extra
Depends: konversation (= ${binary:Version}), ${misc:Depends}
Recommends: kdelibs5-dbg
Description: debugging symbols for konversation
 This package contains the debugging symbols associated with konversation.
 They will automatically be used by gdb for debugging konversation-related
 issues.
