=== debian/rules ===
#!/usr/bin/make -f

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

ifneq (,$(shell which tg))
QUILT_PATCH_DIR := debian/patches
TG_BRANCHES := $(filter-out debian/aboutdata_add_debian_version,$(shell tg summary -t))
include /usr/share/topgit/tg2quilt.mk
endif

DEB_DH_BUILDDEB_ARGS := -- -Zlzma

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON

override_dh_install:
	dh_install
	# Install scripts README (and rename)
	if [ -d debian/konversation ]; then \
	    cp -a data/scripts/README debian/konversation/usr/share/doc/konversation/README.scripts; \
	fi

%:
	dh --with kde --dbg-package=konversation-dbg $@
