## konversation 1.3.1

=== debian/changelog ===
konversation (1.3.1-2+deb6u1) squeeze-lts; urgency=high

  * Non-maintainer upload by the Squeeze LTS Team. 
  * Backport fix for CVE-2014-8483 in cve-2014-8483.patch
    See https://security-tracker.debian.org/tracker/CVE-2014-8483
    (Closes: #768191)
 
 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Mar 2015 19:03:02 +0100

konversation (1.3.1-2) unstable; urgency=low

  * Backport 0001-Work-around-bug-217592-the-infamous-cursor-disappear.patch
    from upstream in order to fix a very annoying "disappearing cursor" bug.
    It happens rather rarely but when it does, konversation becomes nearly
    unusable. The only way out is restart of the application.

 -- Modestas Vainius <modax@debian.org>  Wed, 29 Sep 2010 00:06:37 +0300

konversation (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standars-Version to 3.9.0:
    - add "Breaks: konversation (<< 1.3~beta1-2)" to konversation-data as per
      policy recommendation.
  * Support parallel builds: pass --parallel to dh.

 -- Modestas Vainius <modax@debian.org>  Fri, 02 Jul 2010 02:54:22 +0300

konversation (1.3-1) unstable; urgency=low

  * New upstream release.
  * Drop backport_aa233e3_close_buttons_fix.diff patch, stolen from upstream.

 -- Modestas Vainius <modax@debian.org>  Tue, 08 Jun 2010 01:35:32 +0300

konversation (1.3~beta1-2) unstable; urgency=low

  * Improve konversation-dbg description a bit.
  * Split off data files to a new konversation-data package:
    - make konversation Depend on konversation-data;
    - add previous konversation to konversation-data Replaces;
    - move python Recommends to konversation-data;
    - move ${perl:Depends} from konversation Depends to konversation-data.
  * Use /usr/share/doc/kde* wildcard in konversation-data.install.
  * Update debian/copyright.

 -- Modestas Vainius <modax@debian.org>  Sun, 23 May 2010 22:07:01 +0300

konversation (1.3~beta1-1) unstable; urgency=low

  * New upstream development release.
  * Rename patches:
    - debian/dbug_autoreplace.diff -> debian_dbug_autoreplace.diff;
    - debian/debian_channel.diff -> debian_channel.diff.
  * Drop topgit support:
    - remove snippet from debian/rules;
    - rewrite debian/README.source.
  * Backport commit 1.3-beta1-2-gaa233e3 from upstream repository to
    fix close buttons on tabs (patch backport_aa233e3_close_buttons_fix.diff).

 -- Modestas Vainius <modax@debian.org>  Sun, 23 May 2010 00:24:10 +0300

konversation (1.3~~git221~g2a0818f-1) experimental; urgency=low

  * New upstream development snapshot:
    - Application code: v1.2.3-221-g2a0818f;
    - Translations: Sun, 09 May 2010 20:30:04 +0300;
    - doc/ and doc-translations/ taken from 1.2.3;
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Build with KDE Idle Time support:
    - bump KDE build dependencies to 4.4.3;
    - drop libxss-dev, libx11-dev and x11proto-core-dev from Build-Depends;
  * Add ${perl:Depends} to konversation Depends.

 -- Modestas Vainius <modax@debian.org>  Mon, 10 May 2010 01:18:39 +0300
