=== debian/changelog ===
konversation (1.4~beta1-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Sun, 06 Nov 2011 10:17:01 +0200

konversation (1.3.1+git457.g8b28316-1) unstable; urgency=low

  * New upstream git snapshot (v1.3.1-457-g8b28316).
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Re-enable translations.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Jul 2011 21:35:56 +0300

konversation (1.3.1+git264+g6dfad44-1) experimental; urgency=low

  * New upstream development snapshot:
    - Commit: 6dfad44d792aa0a42298bcd0113f63212c586340;
    - Date:   Sat Dec 4 16:07:46 2010 +0100.
  * Drop 0001-Work-around-bug-217592-the-infamous-cursor-disappear.patch,
    it was stolen from upstream.
  * Rebuild against Qt 4.7, bump Build-Depends.
  * Update install files.

 -- Modestas Vainius <modax@debian.org>  Sun, 12 Dec 2010 12:07:09 +0200
