=== po/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 add_subdirectory( pt )
 add_subdirectory( pt_BR )
 add_subdirectory( ru )
+add_subdirectory( si )
 add_subdirectory( sr )
 add_subdirectory( sr@ijekavian )
 add_subdirectory( sr@ijekavianlatin )
