=== data/scripting_support/CMakeLists.txt ===
add_subdirectory(python)
