=== debian/changelog ===
konversation (1.4-1ubuntu2.1) precise-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds read on a heap-allocated array LP: #1389296
    - Add kubuntu_02_cve-2014-8483.diff to verify read bounds
    - CVE-2014-8483
    - https://www.kde.org/info/security/advisory-20140923-1.txt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Nov 2014 17:38:21 +0100

konversation (1.4-1ubuntu2) precise; urgency=low

  * Add build-dependency on pkg-config so that libindicate-qt can be found

 -- Aurélien Gâteau <aurelien.gateau@ubuntu.com>  Mon, 12 Dec 2011 16:15:17 +0100

konversation (1.4-1ubuntu1) precise; urgency=low

  * Merge with Debian, remaining changes:
   - Don't use debian_channel.diff
   - Add kubuntu_01_default_channels.diff
   - Add message-indicator/0001-Adds-support-for-Message-Indicator.diff
   - Build-dep on libindicate-qt-dev (>= 0.2.5.91)
   - In debian/rules export translation domain

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 10 Dec 2011 20:02:29 +0000

konversation (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Sun, 04 Dec 2011 18:06:44 +0200

konversation (1.3.1-2ubuntu7) precise; urgency=low

  * Add kubuntu_02_marker_line_crash_workaround.diff from upstream
   to fix crashes on refresh, LP: #888825

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 11 Nov 2011 00:14:52 +0000

konversation (1.3.1-2ubuntu6) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 16 Sep 2011 18:02:51 +0200

konversation (1.3.1-2ubuntu5) natty; urgency=low

  * Rebuild with libindicate-qt 0.2.5.91-0ubuntu2 to fix dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Feb 2011 13:38:13 +0000

konversation (1.3.1-2ubuntu4) natty; urgency=low

  * Build against libindicate-qt 0.2.5.91 for soname transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Feb 2011 18:00:26 +0000

konversation (1.3.1-2ubuntu3) natty; urgency=low

  * Remove debian-changes-1.3.1-2ubuntu2, which accidentally reverts the
    message-indicator patches (LP: #676303)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 23 Nov 2010 08:50:55 -0500

konversation (1.3.1-2ubuntu2) natty; urgency=low

  * Remove debian-changes-1.3.1-2ubuntu1 which reverted the other
    patches. (LP: #676303)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 20 Nov 2010 02:42:17 +0100

konversation (1.3.1-2ubuntu1) natty; urgency=low

  * Merge with Debian, remaining changes:
   - Don't use debian_channel.diff
   - Add kubuntu_01_default_channels.diff
   - Add message-indicator/0001-Adds-support-for-Message-Indicator.diff
   - Build-dep on libindicate-qt-dev (>= 0.2.1)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Nov 2010 13:32:22 +0000

konversation (1.3.1-1ubuntu4) natty; urgency=low

  * Rebuild against kdelibs5-dev 4.5.2a-0ubuntu2 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 07:08:50 +0200

konversation (1.3.1-1ubuntu3) maverick; urgency=low

  * Remove debian-changes-1.3.1-1ubuntu2 which reverted the other
    patches

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Aug 2010 10:48:48 +0100

konversation (1.3.1-1ubuntu2) maverick; urgency=low

  * Add back correct debian/patches/series file, adds back in
    kubuntu_01_default_channels.diff message-indicator/0001-Adds-
    support-for-Message-Indicator.diff LP: #616422
  * Remove obsolete debian/patches/kubuntu/ directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Aug 2010 17:53:27 +0100

konversation (1.3.1-1ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable, remaining changes: (LP: #614610)
    - Add kubuntu_01_default_channels.diff, disable debian_channel.diff
    - Keep message indicator patches
    - Build-Depends on libindicator-dev
    - Add export KUBUNTU_DESKTOP_POT=extragear-network_konversation
    - Keep VCS Bazaar fields

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 07 Aug 2010 00:55:26 +0200

konversation (1.3.1-0ubuntu2) maverick; urgency=low

  * Add export KUBUNTU_DESKTOP_POT=extragear-network_konversation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 17:00:46 +0100

konversation (1.3.1-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release
  * Merge from Debian Unstable, remaining changes:
    - Add kubuntu_01_default_channels.diff, disable debian_channel.diff
    - Keep message indicator patches, libindicator-dev build-dep

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 01 Jul 2010 11:24:31 -0400

konversation (1.3-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Drop backport_aa233e3_close_buttons_fix.diff, merged upstream

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 07 Jun 2010 16:24:06 -0400

konversation (1.3~beta1-1ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - Add kubuntu_01_default_channels.diff, disable debian_channel.diff
    - Keep message indicator patches, libindicator-dev build-dep
    - Use the Kubuntu docpath (/usr/share/doc/kde)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 24 May 2010 11:33:21 -0400
