=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: konversation
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
- libqt4-dev (>= 4.5), kdelibs5-dev (>= 4:4.4.3), kdepimlibs5-dev (>= 4:4.4.3),
- libqca2-dev
-Standards-Version: 3.9.0
+ libqt4-dev (>= 4:4.7), kdelibs5-dev (>= 4:4.4.3), kdepimlibs5-dev (>= 4:4.4.3),
+ libqca2-dev, libindicate-qt-dev (>= 0.2.5.91), pkg-config
+Standards-Version: 3.9.2
 Homepage: http://konversation.kde.org/
-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/konversation.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/konversation.git;a=summary
+Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konversation
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/konversation/ubuntu
+XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/konversation.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/konversation.git;a=summary
 
 Package: konversation
 Architecture: any
