## konversation 1.5~rc1+git20130415

=== doc/CMakeLists.txt ===
add_subdirectory(et)
add_subdirectory(it)
add_subdirectory(es)
add_subdirectory(pt_BR)
add_subdirectory(en_US)
add_subdirectory(nl)
add_subdirectory(uk)
add_subdirectory(fr)
add_subdirectory(de)
add_subdirectory(sv)
