=== debian/changelog ===
konversation (1.5~rc1+git20130415-0ubuntu1) raring; urgency=low

  * New git snapshot (LP: #1156019)
    + Contains new fixes and translation updates since last snapshot 

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 15 Apr 2013 08:56:44 +0200

konversation (1.5~rc1+git20130408-0ubuntu2) raring; urgency=low

  * Add 0001-Purge-nicks-also-if-we-re-told-to-rejoin-without-eve.patch from
    upstream.
    Fixes nick list lost when connected to a ZNC bouncer.

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 10 Apr 2013 09:13:55 +0200

konversation (1.5~rc1+git20130408-0ubuntu1) raring; urgency=low

  * New git snapshot (LP: #1156019)
    + Contains new fixes and translation updates since last snapshot

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 08 Apr 2013 19:41:33 +0200

konversation (1.5~rc1+git20130331-0ubuntu1) raring; urgency=low

  * New git snapshot (LP: #1156019)
    + Contains new fixes and translation updates since rc1

 -- Harald Sitter <apachelogger@kubuntu.org>  Sun, 31 Mar 2013 11:08:38 +0200

konversation (1.5~rc1-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1156019)
    + Contains new fix and translation updates

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 18 Mar 2013 11:31:13 +0100

konversation (1.4+git20130314-0ubuntu1) raring; urgency=low

  * New upstream git snapshot from 1.5 branch (LP: #1156019)
  * Drop message indicator patch rubbish, unmaintained, not upstream etc.etc.
    + Don't builddep on libindicate-qt-dev and pkg-config

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 14 Mar 2013 13:54:05 +0100

konversation (1.4-1ubuntu4) raring; urgency=low

  * In 0001-Adds-support-for-Message-Indicator.diff
    Mark designer form title as not for translation.

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 13 Mar 2013 11:46:55 +0100

konversation (1.4-1ubuntu3) quantal; urgency=low

  * No change rebuild to build without stripping translation .po files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 07 Oct 2012 22:47:59 +0100
