=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
  libqt4-dev (>= 4:4.7), kdelibs5-dev (>= 4:4.4.3), kdepimlibs5-dev (>= 4:4.4.3),
- libqca2-dev, libindicate-qt-dev (>= 0.2.5.91), pkg-config
+ libqca2-dev
 Standards-Version: 3.9.2
 Homepage: http://konversation.kde.org/
 Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konversation
